
<ngx-spinner [fullScreen]="true"></ngx-spinner>

<div class="character" *ngIf="character; else notAvailable">
  <mat-card>
    <mat-card-header>
      <mat-card-title class="card-title">
        <button mat-icon-button (click)="goBack()">
          <mat-icon>navigate_before</mat-icon>
        </button>
        <span>{{ character?.name }}</span>
      </mat-card-title>
      <mat-card-subtitle>{{ character?.description }}</mat-card-subtitle>
    </mat-card-header>
    <img mat-card-image src="{{ character?.thumbnail?.path }}.{{ character?.thumbnail?.extension }}" class="character-image">
    <mat-card-content>
    </mat-card-content>
  </mat-card>
  
  <mat-accordion>
    <mat-expansion-panel *ngIf="character?.comics?.items?.length">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Comics ({{ character?.comics.available}})
        </mat-panel-title>
      </mat-expansion-panel-header>
  
      <ul *ngFor="let item of character?.comics?.items">
        <li>{{ item.name }}</li>
      </ul>
    </mat-expansion-panel>
    
    <mat-expansion-panel *ngIf="character?.series?.items?.length">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Series ({{ character?.series.available}})
        </mat-panel-title>
      </mat-expansion-panel-header>
  
      <ul *ngFor="let item of character?.series?.items">
        <li>{{ item.name }}</li>
      </ul>
    </mat-expansion-panel>
    
    <mat-expansion-panel *ngIf="character?.stories?.items?.length">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Stories ({{ character?.stories.available}})
        </mat-panel-title>
      </mat-expansion-panel-header>
  
      <ul *ngFor="let item of character?.stories?.items">
        <li>{{ item.name }}</li>
      </ul>
    </mat-expansion-panel>
    
    <mat-expansion-panel *ngIf="character?.events?.items?.length">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Events ({{ character?.events.available}})
        </mat-panel-title>
      </mat-expansion-panel-header>
  
      <ul *ngFor="let item of character?.events?.items">
        <li>{{ item.name }}</li>
      </ul>
    </mat-expansion-panel>
    
    <mat-expansion-panel *ngIf="character?.urls?.length">
      <mat-expansion-panel-header>
        <mat-panel-title>
          URLs ({{ character?.urls?.length }})
        </mat-panel-title>
      </mat-expansion-panel-header>
  
      <ul *ngFor="let url of character?.urls">
        <li><a [href]="url.url" target="_blank">{{ url.type }}</a></li>
      </ul>
    </mat-expansion-panel>
    
  </mat-accordion>
</div>

<ng-template  #notAvailable>
<div class="character">
  <mat-card>Not avaliable</mat-card>
</div>

</ng-template>